<%@ Control Language="C#" Inherits="Mindfire.Modules.MfsCrmFeed.ViewMfsCrmFeed" AutoEventWireup="true"
    CodeBehind="ViewMfsCrmFeed.ascx.cs" %>
<%@ Register TagPrefix="asp" Namespace="AjaxControlToolkit" Assembly="AjaxControlToolkit" %>
<script type="text/javascript" src="/dnn602/DesktopModules/jquery.anirows.js">
</script>
<style type="text/css">
    .crmtable
    {
    }
    .FeedHeader
    {
        background-color: #585858;
        color: #66CCCC;
        height: 23px;
        font-weight: bolder;
        font-size: 15px;
        text-decoration: underline;
        text-align: center;
        width: 474px;
    }
    .FeedWidth
    {
        min-width: 300px;
        padding-left: 10px;
        font-size: 15px;
    }
    .FeedWidthRight
    {
        padding-right: 10px;
        font-size: 15px;
    }
    table th
    {
        background-color: #585858;
        color: #66CCCC;
        height: 15px;
    }
    .even
    {
        background-color: #33CCFF;
        padding-right: 10px;
    }
    
    .odd
    {
        background-color: #E0E0E0;
        padding-right: 10px;
    }
    
    ul#abc li
    {
        display: inline;
        width: 100px;
        min-height: 100px;
        vertical-align: top;
    }
    .flip
    {
        cursor: hand;
    }
</style>
<script type="text/javascript">

    function pageLoad() {
        setCookie();
        var timer = $find('<%= CrmTimer.ClientID %>');
        timer._doPostback = function () {
            // Do something in client side before postback
            setCookie();
            __doPostBack(this.get_uniqueID(), '');
        };
    }

    function setCookie() {

        $("table#tblCRM tr:odd").addClass("odd");
        $("table#tblCRM tr:even").addClass("even");

        if ($.cookie("RowCount") < $('table tr').length) {
            var a = $("table#tblCRM tbody tr:eq(0) td div:first");
            a.hide().slideDown('slow');
        }

        if ($.cookie("flag") == "0") {
            $('.section').hide();
        }
        else {
            $('.section').show();
        }

        var rowCount = $('table tr').length;

        if (!$('#HiddenTbody').is(':visible')) {
            $.cookie("flag", "0");
            $.cookie("RowCount", rowCount);
        }
        else {
            $.cookie("flag", "1");
            $.cookie("RowCount", rowCount);
        }

        $('#clickme').click(function () {

            $(this)
                          .closest('tbody')
                          .prev('.section')
                          .toggle('slow');

            if ($.cookie("flag") == "1") {
                $.cookie("flag", "0");
            }
            else {
                $.cookie("flag", "1");
            }

        });
    }

</script>


<!--Ajax update panel-->
<asp:UpdatePanel ID="CrmUpdatePanel" runat="server">
    <contenttemplate>
<div>
<div runat = "server" id = "divCRM" style="height:100%;">
</div>
</div>
  <!--Ajax Timer control which will refresh grid view at specified interval (5 seconds)-->
                        <asp:Timer ID="CrmTimer" runat="server" Interval="5000" OnTick="CrmTimer_Tick" Enabled="true">
                        </asp:Timer>
</contenttemplate>
</asp:UpdatePanel>