<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditMfsCrmFeed.ascx.cs"
    Inherits="Mindfire.Modules.MfsCrmFeed.EditMfsCrmFeed" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>
<script type="text/javascript">
    function checkAll(cb) {
        if ($(cb).is(':checked')) {
            $('#<%= gvEntityList.ClientID %>').find('input:checkbox').each(function () {
                $(this).attr("checked", true);
            });
        } else {
            $('#<%= gvEntityList.ClientID %>').find('input:checkbox').each(function () {
                $(this).attr("checked", false);
            });
        }
    }

    function checkAllChecked() {
        var cndChecked = true;
        var i = 0;
        $('#<%= gvEntityList.ClientID %>').find('input:checkbox').each(function () {
            if (!$(this).is(':checked') && (i != 0)) {
                cndChecked = false;
            }
            ++i;
        });
        var cbEntityAll = $('#<%= gvEntityList.ClientID %>').find('input:checkbox:first');
        if (cndChecked) {
            $(cbEntityAll).attr("checked", true);
        } else {
            $(cbEntityAll).attr("checked", false);
        }
    }

</script>
<style type="text/css">
    .fsMfsCrmFeed td
    {
        height: 35px;
        text-align: left;
    }
    .fsMfsCrmFeed td label
    {
        text-align: left;
    }
    .fsMfsCrmFeed input[type="text"], input[type="password"]
    {
        width: 150px;
    }
    .fsMfsCrmFeed
    {
        width: 500px;
    }
</style>
<asp:Panel ID="pnlLinks" runat="server">
    <table>
        <tr>
            <td style="padding-left: 10px; font-size: larger;">
                <asp:LinkButton ID="lbAuthentication" runat="server" Text="Authentication Settings"
                    OnClick="lbAuthentication_Click" Font-Bold="true"></asp:LinkButton>
            </td>
            <td style="padding-left: 10px; font-size: larger;">
                <asp:LinkButton ID="lbOrganization" runat="server" Text="Organization Settings" OnClick="lbOrganization_Click"
                    Font-Bold="true"></asp:LinkButton>
            </td>
            <td style="padding-left: 10px; font-size: larger;">
                <asp:LinkButton ID="lbDisplay" runat="server" Text="Display Settings" Font-Bold="true"
                    OnClick="lbDisplay_Click"></asp:LinkButton>
            </td>
        </tr>
    </table>
</asp:Panel>
<div style="padding-top: 20px;">
    <fieldset id="fsAuthentication" class="fsMfsCrmFeed" align="center" runat="server">
        <legend>Authentication Settings</legend>
        <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr>
                <td>
                    <dnn:Label ID="lblServerurl" runat="server" ControlName="lblServerurl" Suffix=":">
                    </dnn:Label>
                </td>
                <td>
                    <asp:TextBox ID="tbServerurl" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvServerUrl" runat="server" ControlToValidate="tbServerurl"
                        ValidationGroup="chk1" ErrorMessage="Enter CRM Server Url"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <dnn:Label ID="lblUsername" runat="server" ControlName="lblUsername" Suffix=":">
                    </dnn:Label>
                </td>
                <td>
                    <asp:TextBox ID="tbUsername" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvUsername" runat="server" ErrorMessage="Enter CRM Username"
                        ValidationGroup="chk1" ControlToValidate="tbUsername"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <dnn:Label ID="lblPassword" runat="server" ControlName="lblPassword" Suffix=":">
                    </dnn:Label>
                </td>
                <td>
                    <asp:TextBox ID="tbPassword" runat="server" TextMode="Password"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvPassword" runat="server" ErrorMessage="Enter CRM password"
                        ControlToValidate="tbPassword" ValidationGroup="chk1"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    <asp:Button ID="btnAuthenticate" runat="server" ValidationGroup="chk1" Text="Authenticate"
                        OnClick="btnAuthenticate_Click" />
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    <asp:Label ID="lblError" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
    </fieldset>
    <fieldset id="fsOrganization" class="fsMfsCrmFeed" align="center" runat="server">
        <legend>Organization Settings</legend>
        <table cellpadding="0" cellspacing="0" border="0" width="100%">
            <tr>
                <td style="width: 150px;">
                    <asp:Label ID="lblMsg" runat="server"></asp:Label>
                </td>
                <td>
                </td>
            </tr>
            <tr>
                <td style="width: 150px;">
                    <dnn:Label ID="lblOrg" runat="server" ControlName="lblOrg" Suffix=":" />
                </td>
                <td>
                    <asp:DropDownList ID="ddlOrganization" runat="server">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td style="width: 150px;">
                </td>
                <td>
                    <asp:LinkButton ID="lbList" runat="server" Text="Get List" OnClick="lbList_Click"></asp:LinkButton>
                </td>
            </tr>
        </table>
    </fieldset>
    <fieldset id="fsEntity" class="fsMfsCrmFeed" align="center" runat="server">
        <legend>Entity Settings</legend>
        <asp:GridView ID="gvEntityList" runat="server" AutoGenerateColumns="false" CellPadding="0"
            CellSpacing="0">
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                        <asp:CheckBox ID="cbEntity" runat="server" onclick="checkAllChecked()" />
                    </ItemTemplate>
                    <HeaderTemplate>
                        <asp:CheckBox ID="cbEntityAll" runat="server" onclick="checkAll(this)" />
                    </HeaderTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Entities">
                    <ItemTemplate>
                        <asp:Label ID="lblEntityId" runat="server" Text='<%# Bind("value") %>' Visible="false"></asp:Label>
                        <asp:Label ID="lblEntity" runat="server" Text='<%# Bind("key") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:Button ID="btnSaveEntity" runat="server" Text="Save Entity" OnClick="btnSaveEntity_Click" />
    </fieldset>
    <fieldset id="fsDisplay" runat="server" align="center" class="fsMfsCrmFeed">
        <legend>Display Settings</legend>
        <table>
            <tr>
                <td>
                    <dnn:Label ID="lblDays" runat="server" ControlName="lblDays" Suffix=":" />
                </td>
                <td>
                    <asp:TextBox ID="tbDays" runat="server" MaxLength="3"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvDays" runat="server" ErrorMessage="Enter Days for CRM feeds"
                        ControlToValidate="tbDays" Display="Dynamic" ValidationGroup="chk2"></asp:RequiredFieldValidator><asp:RegularExpressionValidator
                            ID="RegularExpressionValidator1" runat="server" ErrorMessage="" ValidationExpression="(-|\+)?\d+(\.\d+)?"
                            ControlToValidate="tbDays" Display="Dynamic" ValidationGroup="chk2"></asp:RegularExpressionValidator>
                    <asp:RangeValidator ID="RangeValidator1" ControlToValidate="tbDays" runat="server"
                        ErrorMessage="Only positive numbers within 100" ValidationGroup="chk2" Display="Dynamic"
                        MinimumValue="1" MaximumValue="100" Type="Double"></asp:RangeValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <dnn:Label ID="lblNumberFeeds" runat="server" ControlName="lblNumber" Suffix=":" />
                </td>
                <td>
                    <asp:TextBox ID="tbNumberFeeds" runat="server" MaxLength="2"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvNumberFeeds" runat="server" ErrorMessage="Enter number of feeds for display"
                        ControlToValidate="tbNumberFeeds" Display="Dynamic" ValidationGroup="chk2"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ErrorMessage=""
                        ValidationExpression="(-|\+)?\d+(\.\d+)?" ControlToValidate="tbNumberFeeds" ValidationGroup="chk2"
                        Display="Dynamic"></asp:RegularExpressionValidator>
                    <asp:RangeValidator ID="RangeValidator2" runat="server" ControlToValidate="tbNumberFeeds"
                        ErrorMessage="Only positive numbers within 20" ValidationGroup="chk2" Display="Dynamic"
                        MinimumValue="1" MaximumValue="20" Type="Double"></asp:RangeValidator>
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    <asp:Button ID="btnDisplay" runat="server" Text="Set Display" ValidationGroup="chk2"
                        OnClick="btnDisplay_Click" />
                </td>
            </tr>
        </table>
    </fieldset>
</div>
